<?php

/**
 * OpenKM, Open Knowledge Management System S.L.  (http://www.openkm.com)
 * Copyright (c) 2006-2018
 *
 * No bytes were intentionally harmed during the development of this application.
 *
 * This program is commercial software; you can use it under the terms of the
 * EULA - OpenKM SDK End User License Agreement as published by OpenKM Knowledge Management System S.L.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * EULA - OpenKM SDK End User License Agreement for more details:
 * http://docs.openkm.com/kcenter/view/licenses/eula-openkm-sdk-end-user-license-agreement.html
 */

namespace openkm\bean;

/**
 * TaskNote
 *
 * @author sochoa
 */
class TaskNote {

    private $id;
    private $task;
    private $author;
    private $created;
    private $text;

    function __construct() {
        
    }

    public function getId() {
        return $this->id;
    }

    public function getTask() {
        return $this->task;
    }

    public function getAuthor() {
        return $this->author;
    }

    public function getCreated() {
        return $this->created;
    }

    public function getText() {
        return $this->text;
    }

    public function setId($id) {
        $this->id = $id;
    }

    public function setTask($task) {
        $this->task = $task;
    }

    public function setAuthor($author) {
        $this->author = $author;
    }

    public function setCreated($created) {
        $this->created = $created;
    }

    public function setText($text) {
        $this->text = $text;
    }

}

?>
